GraphicalModel (KML Framework API)
Keywords: org.boehn.kmlframework.todo.GraphicalModel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.todo
Class GraphicalModel

    java.lang.Object
      org.boehn.kmlframework.todo.GraphicalModel

All Implemented Interfaces:
  GraphicalModelElement

    public class GraphicalModel

extends java.lang.Object
implements GraphicalModelElement

Constructor Summary
`GraphicalModel()`

Method Summary
`void` | `addGraphicalModelElement(GraphicalModelElement graphicalModelElement)`
`void` | `addKml(org.w3c.dom.Element parentElement, Kml model, org.w3c.dom.Document xmlDocument, EarthCoordinate location, java.lang.Double rotation, CartesianCoordinate localReferenceCoordinate, CartesianCoordinate scale)`
`java.util.Collection<Coordinate>` | `getCoordinates()`
`java.util.Collection<GraphicalModelElement>` | `getElements()`
`java.lang.Integer` | `getVisibleFrom()`
`java.lang.Integer` | `getVisibleTo()`
`void` | `setElements(java.util.Collection<GraphicalModelElement> elements)`
`void` | `setVisibleFrom(java.lang.Integer visibleFrom)`
`void` | `setVisibleTo(java.lang.Integer visibleTo)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GraphicalModel

    public GraphicalModel()

Method Detail

### getElements

    public java.util.Collection<GraphicalModelElement> getElements()

### setElements

    public void setElements(java.util.Collection<GraphicalModelElement> elements)

### addGraphicalModelElement

    public void addGraphicalModelElement(GraphicalModelElement graphicalModelElement)

### getVisibleFrom

    public java.lang.Integer getVisibleFrom()

### setVisibleFrom

    public void setVisibleFrom(java.lang.Integer visibleFrom)

### getVisibleTo

    public java.lang.Integer getVisibleTo()

### setVisibleTo

    public void setVisibleTo(java.lang.Integer visibleTo)

### getCoordinates

    public java.util.Collection<Coordinate> getCoordinates()

  Specified by:
    `getCoordinates` in interface `GraphicalModelElement`

### addKml

    public void addKml(org.w3c.dom.Element parentElement,
                       Kml model,
                       org.w3c.dom.Document xmlDocument,
                       EarthCoordinate location,
                       java.lang.Double rotation,
                       CartesianCoordinate localReferenceCoordinate,
                       CartesianCoordinate scale)
                throws KmlException

  Specified by:
    `addKml` in interface `GraphicalModelElement`
  Throws:
    `KmlException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD